# Drupal Vulnerability Scanning Module 
<img src="images/logo.png"></br>
Scalable Networks CyberSec Australia</br>
https://scalablenetworks.com.au 

## Secret token generated by Module
- Once the module is installed it will generate a secret token 
- Secret-token can be accessed in Configuration -> Scalable Networks Vulnerability Scanner
- Secret-token needs to be registered on [Scalable Networks Portal](https://portal.scalablenetworks.com.au)
- Once registered our CyberSecurity Scanners will start scanning your site for vulnerabilities

## Module settings 
- Module settings can be accessed via this route `https://drupal-site.com/admin/config/system/scalable-cybersec`

## Configuration management
Module will create a single file containing secret-token 

`scalable_cybersec.settings.yml`

## Module compatibility 
- Designed to work with Drupal 8.x
- Designed to work with Drupal 9.x

## Routes
- Module will expose Drupal's `composer.json` file via `webroot/composer.json/secret-token`
- Module will expose Drupal's `composer.lock` file via `webroot/composer.lock/secret-token`

This module allows for Scalable Network's DevOPS pipelines to securely access and read the existing version's of installed Drupal modules, their dependencies 
and packages + Drupal Core versions. This is used to generate daily compliance and vulnerability reports. 
